Skip to main content
GET
/
v2
/
alert_routes
List
curl --request GET \
  --url https://api.incident.io/v2/alert_routes
{
  "alert_routes": [
    {
      "enabled": false,
      "id": "01FCNDV6P870EA6S7TK1DSYDG0",
      "name": "Production incidents"
    }
  ],
  "pagination_meta": {
    "after": "01FCNDV6P870EA6S7TK1DSYDG0",
    "page_size": 25
  }
}

Query Parameters

page_size
integer<int64>
default:25
required

Number of alert routes to return per page

Required range: 1 <= x <= 50
Example:

25

after
string

The ID of the last alert route on the previous page

Example:

"01FCNDV6P870EA6S7TK1DSYDG0"

Response

200 - application/json

OK response.

alert_routes
object[]
required
Example:
[
{
"enabled": false,
"id": "01FCNDV6P870EA6S7TK1DSYDG0",
"name": "Production incidents"
}
]
pagination_meta
object
required
Example:
{
"after": "01FCNDV6P870EA6S7TK1DSYDG0",
"page_size": 25
}